### Constructor

# Gtk IconViewnew_with_area

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_icon_view_new_with_area (
      GtkCellArea* area
    )

#### Description [src]

Creates a new `GtkIconView` widget using the specified `area` to layout cells inside the icons.

Deprecated since: 4.10

Use `GtkGridView` instead.

#### Parameters

`area`

  Type: `GtkCellArea`

  The `GtkCellArea` to use to layout cells.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A newly created `GtkIconView` widget.

The data is owned by the called function.